com.saxonica.functions.extfn

## Class LastModified

- java.lang.Object
- - net.sf.saxon.lib.ExtensionFunctionDefinition
  - - com.saxonica.functions.extfn.LastModified

- All Implemented Interfaces:
    Serializable

      public class LastModified
      extends ExtensionFunctionDefinition

  Extension function to determined the last-modified date of a file
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LastModified()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SequenceType[]` | `getArgumentTypes()` Get the required types for the arguments of this function.
    `StructuredQName` | `getFunctionQName()` Get the name of the function, as a QName.
    `int` | `getMaximumNumberOfArguments()` Get the maximum number of arguments required by the function
    `int` | `getMinimumNumberOfArguments()` Get the minimum number of arguments required by the function
    `SequenceType` | `getResultType(SequenceType[] suppliedArgumentTypes)` Get the type of the result of the function
    `ExtensionFunctionCall` | `makeCallExpression()` Create a call on this function.

    - ### Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition

      `dependsOnFocus, hasSideEffects, trustResultType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LastModified

          public LastModified()

  - ### Method Detail

    - #### getFunctionQName

          public StructuredQName getFunctionQName()

      Get the name of the function, as a QName.

      This method must be implemented in all subclasses

      Specified by:
        `getFunctionQName` in class `ExtensionFunctionDefinition`
      Returns:
        the function name

    - #### getMinimumNumberOfArguments

          public int getMinimumNumberOfArguments()

      Get the minimum number of arguments required by the function

      This method must be implemented in all subclasses

      Overrides:
        `getMinimumNumberOfArguments` in class `ExtensionFunctionDefinition`
      Returns:
        the minimum number of arguments that must be supplied in a call to this function

    - #### getMaximumNumberOfArguments

          public int getMaximumNumberOfArguments()

      Get the maximum number of arguments required by the function

      This method must be implemented in all subclasses

      Overrides:
        `getMaximumNumberOfArguments` in class `ExtensionFunctionDefinition`
      Returns:
        the minimum number of arguments that must be supplied in a call to this function

    - #### getArgumentTypes

          public SequenceType[] getArgumentTypes()

      Get the required types for the arguments of this function.

      This method must be implemented in all subtypes.

      Specified by:
        `getArgumentTypes` in class `ExtensionFunctionDefinition`
      Returns:
        the required types of the arguments, as defined by the function signature. Normally this should be an array of size `getMaximumNumberOfArguments()`; however for functions that allow a variable number of arguments, the array can be smaller than this, with the last entry in the array providing the required type for all the remaining arguments.

    - #### getResultType

          public SequenceType getResultType(SequenceType[] suppliedArgumentTypes)

      Get the type of the result of the function

      This method must be implemented in all subtypes.

      Specified by:
        `getResultType` in class `ExtensionFunctionDefinition`
      Parameters:
        `suppliedArgumentTypes` - the static types of the supplied arguments to the function. This is provided so that a more precise result type can be returned in the common case where the type of the result depends on the types of the arguments.
      Returns:
        the return type of the function, as defined by its function signature

    - #### makeCallExpression

          public ExtensionFunctionCall makeCallExpression()

      Create a call on this function. This method is called by the compiler when it identifies a function call that calls this function.
      Specified by:
        `makeCallExpression` in class `ExtensionFunctionDefinition`
      Returns:
        an expression representing a call of this extension function

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.